SSTableMultiWriter (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.io.sstable

## Interface SSTableMultiWriter

- All Superinterfaces:
    java.lang.AutoCloseable, Transactional
  All Known Implementing Classes:
    RangeAwareSSTableWriter, SimpleSSTableMultiWriter

      public interface SSTableMultiWriter
      extends Transactional

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.concurrent.Transactional

      `Transactional.AbstractTransactional`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `abortOrDie(SSTableMultiWriter writer)`
    `boolean` | `append(UnfilteredRowIterator partition)` Writes a partition in an implementation specific way
    `java.util.Collection<SSTableReader>` | `finish(boolean openResult)`
    `java.util.Collection<SSTableReader>` | `finish(long repairedAt, long maxDataAge, boolean openResult)`
    `java.util.Collection<SSTableReader>` | `finished()`
    `java.util.UUID` | `getCfId()`
    `java.lang.String` | `getFilename()`
    `long` | `getFilePointer()`
    `SSTableMultiWriter` | `setOpenResult(boolean openResult)`

    - ### Methods inherited from interface org.apache.cassandra.utils.concurrent.Transactional

      `abort, close, commit, prepareToCommit`

- - ### Method Detail

    - #### append

          boolean append(UnfilteredRowIterator partition)

      Writes a partition in an implementation specific way
      Parameters:
        `partition` - the partition to append
      Returns:
        true if the partition was written, false otherwise

    - #### finish

          java.util.Collection<SSTableReader> finish(long repairedAt,
                                                     long maxDataAge,
                                                     boolean openResult)

    - #### finish

          java.util.Collection<SSTableReader> finish(boolean openResult)

    - #### finished

          java.util.Collection<SSTableReader> finished()

    - #### setOpenResult

          SSTableMultiWriter setOpenResult(boolean openResult)

    - #### getFilename

          java.lang.String getFilename()

    - #### getFilePointer

          long getFilePointer()

    - #### getCfId

          java.util.UUID getCfId()

    - #### abortOrDie

          static void abortOrDie(SSTableMultiWriter writer)

Copyright © 2018 The Apache Software Foundation